/*
+------------------------------------------------------------------------+
| ConPresso-Module "mobile" - Mobile friendly output                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / May 2015 ==

*/


// Zum Ein-/Ausblenden von Navigation und anderen Elementen
function toggle_visibility(id) {
   var e = document.getElementById(id);
   if(e.style.display == 'block')
	  e.style.display = 'none';
   else
	  e.style.display = 'block';
}

// Zum Ein-/Ausblenden der Navigation mit Textnderung
function toggleMenu(id, toggler, text) {
   var menu = document.getElementById(id);
   var menuToggler = document.getElementById(toggler);
   if(menu.style.display == 'block') {
	  menu.style.display = 'none';
      menuToggler.innerHTML = '&equiv; '+text;
   } else {
	  menu.style.display = 'block';
      menuToggler.innerHTML = '&times; '+text;
   }
}

function setMobileCookie(name, value) {
  document.cookie = name + "=" + escape(value);
}

function readMobileCookie(name) { 
	 var cookieValue = ""; 
	 var search = name + "="; 
	 if(document.cookie.length > 0) {  
		 offset = document.cookie.indexOf(search); 
		 if(offset != -1) {  
			 offset += search.length; 
			 end = document.cookie.indexOf(";", offset); 
			 if(end == -1) end = document.cookie.length; 
			 cookieValue = unescape(document.cookie.substring(offset, end)) 
		 } 
	 } 
	 return cookieValue; 
 } 

function toggleMobile(state) {
    setMobileCookie('showMobile', state);
    window.location.reload(true);
}

function displayToggleMobile() {
    var toggleText = '';
    if (readMobileCookie('showMobile') == 'false') {
        toggleText = 'Mobil';
    } else {
        toggleText = 'Desktop';
    }
    document.write('<div id="toggleMobile"><a href="javascript:toggleMobile()">'+toggleText+'</a></div>');
}